Subject: bug#35513: (setq gnus-thread-sort-functions '(gnus-thread-sort-by-number)) seems not to work always.

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 16:56:13 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Yes -- the sorting is done before splitting threads up based on the
> gnus-thread-ignore-subject, which seems like a bug.
>
> Fixing this rather obscure problem would require traversing the thread
> structure once more, which I'm not sure is worth it...

After pondering this, I've come to the conclusion that it's best just to
document this quirk instead of threading, then sorting, then splitting,
and then re-threading and re-sorting, and I'm closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no